Plugin error from dada2--return code1)

dada2

#1

hi,everyone,I have some ploblems in qiime2 dada2 denoise-paired,I have the same problems before(2 samples),but those problem were the samples’ naming error.But this time it seems not that simple.There are my data(58 samples) :


I have run the command:nohup qiime dada2 denoise-paired --i-demultiplexed-seqs cecum.qza --o-table table --o-representative-sequences rep-seq --o-denoising-stats den-stats --p-trunc-len-f 200 --p-trunc-len-r 200
and nohup qiime dada2 denoise-paired --i-demultiplexed-seqs cecum.qza --p-trunc-len-f 200 --p-trunc-len-r 200 --output-dir result &
But the problems are the same:Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-ryz8_io2.log
Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-_9ys2rsb.log
image
Tips:I use the qiime 2018.6
So I really hope that the seniors who know this problem in the forum can help me,Thank you very much.


(Matthew Ryan Dillon) #2

Hi there @Catherine!

Can you please re-run your command with the --verbose flag added on the end and share the full error log it produces? Copy and paste please!

qiime dada2 denoise-paired \
  --i-demultiplexed-seqs cecum.qza \
  --p-trunc-len-f 200 \
  --p-trunc-len-r 200 \
  --output-dir result \
  --verbose

That should give us an idea of what is going wrong (right now this error message you have shared doesn’t have enough information for us to provide guidance).

Thanks! :t_rex: :qiime2:


#3

hey,there thermokarst,this is the computational results that the code you provided.


then what should I do next?


#4

I’am sorry that the last reply is not complete reports,full reports are as follows:
(qiime2-2018.6) [[email protected] cecum]$ qiime dada2 denoise-paired --i-demultiplexed-seqs cecum.qza --p-trunc-len-f 200 --p-trunc-len-r 200 --output-dir result --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpsjwe0efw/forward /tmp/tmpsjwe0efw/reverse /tmp/tmpsjwe0efw/output.tsv.biom /tmp/tmpsjwe0efw/track.tsv /tmp/tmpsjwe0efw/filt_f /tmp/tmpsjwe0efw/filt_r 200 200 0 0 2.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 41180, 40045.
    Execution halted
    Traceback (most recent call last):
    File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
    run_commands([cmd])
    File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpsjwe0efw/forward’, ‘/tmp/tmpsjwe0efw/reverse’, ‘/tmp/tmpsjwe0efw/output.tsv.biom’, ‘/tmp/tmpsjwe0efw/track.tsv’, ‘/tmp/tmpsjwe0efw/filt_f’, ‘/tmp/tmpsjwe0efw/filt_r’, ‘200’, ‘200’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 232, in bound_callable
output_types, provenance)
File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 367, in callable_executor
output_views = self._callable(**view_args)
File “/home/Data/data1/songyinchao/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.


(Matthew Ryan Dillon) #5

Thanks @Catherine!

Well, there you go — at least one of your samples has mismatched forward and reverse reads (looks like there are fewer reverse reads). How did you import these data? Were the multiplexed? Demultiplexed? I would recommend you do a little sleuthing of your source data to see what might be going on.


#6

Thanks for your advice,These are my previous steps and my source data(58 forwards and reverses reads),and those commands I used at the previous steps were running smoothly without errors.

I used filezile to import my data,and then created an excel table in CSV format,showed as follows(the titles and some of the samples):
image ,then I standardized the data to generate a .qza file and transformed to .qzv to see detail,based on the plots,I choose ahead 200bp reads to further analyze.I really want to know is there any wrong?(PS:There are no errors at previous steps).
Please,Looking forward to your early reply.


(Matthew Ryan Dillon) #7

Hi @Catherine - the problem is that either you accidentally mismatched samples in your manifest (for example, you accidentally refer to the wrong sample in the forward or reverse record), or, your source data itself is corrupt, in which case you should contact your sequencing center.

If you post your entire manifest (please no screenshots) one of us can take a look to see if you accidentally mismatched your samples.


#8

ok,I will take your advice.I have some questions,first,what should I do to provide my data,second what format do you need(my row data or cecum.qza)?
Looking forward to your reply.Thank you.


(Matthew Ryan Dillon) #9

@Catherine -

You should read every line of your manifest file and make sure that you specify the right file for forward or reverse, and that that file matches the sample ID you specified.

If that all looks okay, then you need to check with your sequencing center to see why one of your samples has mismatched forward and reverse reads.